#
# spec file for package python-pytest-httpbin
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-httpbin
Version:        1.0.0
Release:        5.3.5
Summary:        Web service for testing HTTP libraries
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/kevin1024/pytest-httpbin
Source:         https://github.com/kevin1024/pytest-httpbin/archive/v%{version}.tar.gz
BuildRequires:  %{python_module httpbin}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-httpbin
Requires:       python-pytest
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
httpbin is a web service for testing HTTP libraries. It has several
endpoints that can test parts needed in a HTTP library.

Pytest-httpbin creates a pytest "fixture" that is
dependency-injected into your tests. It automatically starts up a HTTP server
in a separate thread running httpbin and provides your test with the URL in the
fixture.

%prep
%setup -q -n pytest-httpbin-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%doc README.md DESCRIPTION.rst
%{python_sitelib}/*

%changelog
* Fri Feb 15 2019 jengelh@inai.de
- Use noun phrase in summary.
* Thu Feb 14 2019 tchvatal@suse.com
- Update to 1.0.0:
  * Update included self-signed cert to include IP address in SAN (See #52).
  * Only use @pytest.fixture decorator once (thanks @hroncok)
  * Fix a few README typos (thanks @hemberger)
- Use github tarball to get tests
* Wed May  2 2018 tchvatal@suse.com
- Revert last commit
* Thu Apr 19 2018 toddrme2178@gmail.com
- Fix dependencies.
* Mon Nov 13 2017 arun@gmx.de
- removed 0001-Remove-Flask-and-decorator-from-install_requires.patch
  (included upstream)
- update to version 0.3.0:
  * Allow to run httpbin on fixed port using environment variables
    (thanks @hroncok)
  * Allow server to be thread.join()ed (thanks @graingert)
  * Add support for Python 3.6 (thanks @graingert)
* Tue Aug  8 2017 tbechtold@suse.com
- add 0001-Remove-Flask-and-decorator-from-install_requires.patch
- cleanup Requires
* Sun May  7 2017 jengelh@inai.de
- Remove sensationalist language from description.
* Tue Apr  4 2017 jmatejek@suse.com
- initial commit - test requirement of python-requests
